/**
 * This file is part of the BaseProject project.
 * 2015
 * Copyright (c) RENATER
 */

/*FONTS*/
@font-face {
    font-family: "foobar_proregular";
    font-style: normal;
    font-weight: normal;
    src: url("../../lib/core/font/foobar_pro-regular-webfont.eot?#iefix") format("embedded-opentype"),
        url("../../lib/core/font/foobar_pro-regular-webfont.woff") format("woff"),
        url("../../lib/core/font/foobar_pro-regular-webfont.ttf") format("truetype");
}

/*---------------------------------CSS RESET-------------------------------*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    vertical-align: baseline;
}

a img{
    border-width: 0;
    vertical-align: middle;
}

dialog{
    display: none;
}
dialog[open]{
    display: block;
}

/* ------------------------------------------------------------------------*/


* {		/* Proportional fonts */
    font-family: 'Raleway', sans-serif;
    font-size: 1rem;
}

html {
    height: 100%;
}


body {
    color: #41494c;
    font-family: 'Raleway', sans-serif;
    font-size: 0.8125em;
    font-size: 0.85em;
    line-height: 1;
    background-color: #fff;
    min-height: 100%;
}

main {
    line-height:1.7;
    text-align:justify;
}

main article p{
    margin:1rem auto!important;
}

aside{
    text-align: right;
    padding: 0.5rem;
}

/* Links */
a {
    color:#0000ff;
    color:hsl(34,27%,65%);
    text-decoration: underline;
    transition: background-color 300ms ease-out;
}
a:hover {
    color:#0000ff;
    color:hsl(34,27%,65%);
    text-decoration: none;
}
a:active {
    border:none!important;
}

/* Titles */
h1,h2,h3,h4,h5,h6{
    margin: 0.67em 0;
}
h3,h4,h5,h6{
    color:hsl(0,0%,30%);
}
h1 {
    font-size: 2rem;
}
h2 {
    font-size: 1.7rem;
}
h3 {
    font-size: 1.5rem;
}
h4 {
    font-size: 1.3rem;
}
h5 {
    font-size: 1.1rem;
}
h6 {
    font-size: 1rem;
}

img, object {
    max-width: 100%;
}

noscript .alert{
    margin:3rem 0;
    padding:3rem;
    text-align: center;
    font-size:1.2rem;
    font-weight: bold;
}
noscript img{
    width:400px;
    margin:5rem 0 ;
}


.jBox-container{
    font-weight:bold;
}

input:disabled, select:disabled  {
    background-color: #cccccc !important;
}

/*** Submenu style (home menu features) ***/
main nav {
    background-color:#999999;
    background-color:hsl(0,0%,60%);
    width:100%;
    min-height:3rem;
    height: 4.6rem;
    margin: 0 auto;
    padding: 0.3rem 0;
}

main nav ul {
    list-style: none;
    margin: 0 auto;
    padding:0;
}

main nav li {
    display:table-cell;
    padding:0;
    text-align:center;

}

main nav li a {
    display: block;
    color:#fff;
    text-decoration: none;
    font-size: 0.8rem;
    height: 3rem;
    padding-top: 2.8rem;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;

    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    background-image: url("../../images/core/base_feature.svg");
}

main nav a:hover {
    color:#000000;
    color:hsl(0,0%,0%);
    background-image: url("../../images/core/base_feature_hover.svg");
}

main[data-page="home"] nav {
    height: 10rem;
    padding: 10px 0;
}

main[data-page="home"] nav li {
    height: 8rem;
}

main[data-page="home"] nav li a {
    height: 8rem;
    font-size: 0.9rem;
    padding-top: 7.8rem;
}

main[data-page="home"] nav:nth-of-type(1) {
    display: none;
}

[data-auth-type=""] main[data-page="home"] nav {
    min-height:1.5rem!important;
    margin-top: 1rem;
    height: 10rem;
}

[data-auth-type=""] main[data-page="home"] nav a {
    color: #fff;
    font-width: 600;
    transition: color 300ms ease-out 0s;
}

.exception {
    margin: 3em auto;
    text-align: center;
}

.exception .message {
    margin: 1em;
    font-weight: bold;
}

.exception .report {
    font-style: italic;
}
.exception.callout.alert {
    background-color: #fce6e2;
}
.reveal .button {
    margin: 1rem 1rem 0 0;
}

.reveal .close-reveal-modal {
    float: right;
    font-size: 2rem;
    line-height: 0.5rem;
}

.reveal .close-reveal-modal::before {
    content: "\000d7";
}

.reveal p {
    margin: 0.75rem 0;
}

.reveal pre{
    margin: 0.75rem 0;
    overflow: visible;
}

#notifications {
    position: fixed;
    left: 50%;
    top: 0;
    width: 30%;
    transform: translate(-50%, 0);
}

#notifications .notification {
    background-position: 0.8em 50%;
    background-repeat: no-repeat;
    border: 1px solid;
    border-radius: 0.5em;
    -moz-border-radius: 0.5em;
    padding: 0.4em 0.4em 0.4em 32px;
    margin: 1em;
}

#notifications .notification.error {
    background-color: #fcc;
    background-image: url(../../images/core/error.png);
    border-color: #ebb;
}

#notifications .notification.info {
    background-color: #ccf;
    background-image: url(../../images/core/info.png);
    border-color: #bbe;
}

#notifications .notification.success {
    background-color: #cfc;
    background-image: url(../../images/core/success.png);
    border-color: #beb;
}

/* Top button */
.scroll-top-wrapper {
    position: fixed;
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
    text-align: center;
    z-index: 99999999;
    background-color:#4a5ea5;
    background-color:hsl(227,38%,47%);
    color: #eeeeee;
    width: 50px;
    height: 48px;
    line-height: 48px;
    right: 30px;
    bottom: 30px;
    padding-top: 2px;
    border-radius: 10px;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}
.scroll-top-wrapper:hover {
    background-color:#8d9fd1;
}
.scroll-top-wrapper.show {
    visibility:visible;
    cursor:pointer;
    opacity: 1.0;
}
.scroll-top-wrapper i.fa {
    line-height: inherit;
}

/*Callout with icon*/
.callout.alert.icon::before, .callout.primary.icon::before,
.callout.secondary.icon::before, .callout.success.icon::before,
.callout.warning.icon::before {
    font: normal normal normal 14px/1 FontAwesome;
    position: absolute;
    font-size: 1.8em;
    top: calc(50% - 1rem);
}
.callout.icon p{
    margin: 0.5rem 2.5rem!important;
}
.callout.icon ul {
    margin: 0.5rem 2.5rem 0.5rem 3.5rem!important;
}

/* Small screens */

/* Define mobile styles */

/* max-width 450px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 28em){
    main[data-page="home"] > article {
        display: none;
    }
}

/* max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 40em) {
    .reveal, dialog {
        text-align: center;
    }
    .reveal ul, dialog ul  {
        text-align: left;
    }
    section:nth-of-type(1) {
        padding: 0;
    }
    main nav:nth-of-type(1) ul li.small-12{
        width:33.33333%;
    }
    main[data-page="home"] nav {
        height: auto;
        padding: 1rem 0;
    }
    main[data-page="home"] nav li a {
        height: 5.5rem;
        font-size: inherit;
        padding-top: 7rem;
        font-size:0.8rem;
    }
    main[data-page="home"] nav li a[data-menu-action] {
        background-size:6.5rem;
    }
}

@media screen and (max-width: 767px) {
    .dataTables_wrapper .dataTables_length,
    .dataTables_wrapper .dataTables_filter {
        float: none;
        text-align: center;
    }
    .dataTables_wrapper .dataTables_filter {
        margin-top: 0.5em;
    }
}

/* Medium screens */

/* min-width 641px, medium screens */
@media only screen and (min-width: 40.063em) {

}

/* min-width 641px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 40.063em) and (max-width: 50em) {

}

/* min-width 641px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 40.063em) and (max-width: 64em) {


}


/* Large screens */

/* min-width 1025px, large screens */
@media only screen and (min-width: 64.063em) {

}

/* min-width 1025px and max-width 1440px, use when QAing large screen-only issues */
@media only screen and (min-width: 64.063em) and (max-width: 90em) {}


/* XLarge screens */

/* min-width 1441px, xlarge screens */
@media only screen and (min-width: 90.063em) {}

/* min-width 1441px and max-width 1920px, use when QAing xlarge screen-only issues */
@media only screen and (min-width: 90.063em) and (max-width: 120em) {}


/* XXLarge screens*/

/* min-width 1921px, xxlarge screens */
@media only screen and (min-width: 120.063em) {}
